<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'Fedramp',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <SlpContainer :id="data?.id" class="fedramp-link">
    <SlpRow class="fedramp-link__container">
      <div class="left">
        <img
          class="fedramp-link__image"
          :src="data.image"
          :alt="data.alt"
          loading="lazy"
        />
      </div>
      <div class="right">
        <SlpTypography variant="heading4-bold">{{ data.header }}</SlpTypography>

        <div
          variant="body1"
          class="slp-mt-16"
          v-html="$md.render(data.description)"
        ></div>
        <SlpButton
          class="slp-mt-16"
          :href="data.button.href"
          variant="tertiary"
          :data-ga-name="data.button.data_ga_name"
          :data-ga-location="data.button.data_ga_location"
        >
          {{ data.button.text }}

          <SlpIcon
            name="chevron-lg-right"
            variant="product"
            hex-color="#171321"
            alt="Chevron Right Icon"
          />
        </SlpButton>
      </div>
    </SlpRow>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.fedramp-link {
  margin-bottom: $spacing-96;
  margin-top: $spacing-48;

  &__container {
    background-color: $color-surface-800;
    border-radius: 0 4px 100px 0;
    flex-wrap: nowrap;
    @media (max-width: $breakpoint-md) {
      flex-wrap: wrap;
    }
  }

  .left {
    padding: $spacing-32 0 $spacing-32 $spacing-32;
    @media (max-width: $breakpoint-md) {
      padding-bottom: 0;
    }
    .fedramp-link {
      width: 100%;
      height: 100%;
    }
  }

  &__image {
    height: 75px;
  }

  .right {
    padding: $spacing-32;
    display: flex;
    flex-direction: column;
  }

  &--reverse {
    flex-direction: row-reverse;

    .right {
      justify-content: center;
      border-radius: 4px 0 0 4px;

      @media (max-width: $breakpoint-md) {
        border-radius: 0 0 4px 4px;
      }

      .slp-btn-primary {
        max-width: fit-content;
      }
    }
  }
}
</style>
